:root {
  /* --hoverColor: rgb(189, 121, 121); */
  --hoverColor: #F30040;
  --white: #00f0f0;
  --textColor: #123456;
  --productColorMain: #17b4adfb;
  --productColorSec: #9fe1d6ff;
  --productColorAcc: #5050ffff;
  --pageBackground1: #d4f0f1;
  --pageBackground2: #8FC9CB;
  --pageBackground3: #CCE2CB;
  --linksColor: #ff0000;

  /*--hoverColor: #be9200;
  --white: #f7f7f7;
  --textColor: #123456;
  --productColorMain: #17b4adfb;
  --productColorSec: #9fe1d6ff;
  --productColorAcc: #5050ffff;
  --pageBackground1: #eff6fc;
  --pageBackground2: lightblue;
  --pageBackground3: #C9BE62;
  --linksColor: #ff0000;
  */
}

html {
  min-height: 100%;
  scroll-behavior: smooth;
}

body {
  display: grid;
  grid-template-rows: auto max-content auto;
  max-width: 85%;
  float: none;
  margin: auto;
  background-image: linear-gradient(0deg, var(--pageBackground3) 10%, var(--pageBackground2) 30%, var(--pageBackground1));
}

main {
  /* background: burlywood; */
  background-position: center;
  background-size: cover;
  min-height: 80vh;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

footer {
  font-size: 0.9rem;
  text-align: center;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: system-ui, sans-serif;
  font-weight: 500;
  color: var(--textColor);
}

p {
  /* font-family: "Abhaya Libre", serif; */
  font-family: ui-serif;
  font-size: 1.1rem;
  /* line-height: 1.2rem; */
  padding: 0px;
  color: var(--textColor);
}

a {
  /* font-family: "Afacad", sans-serif; */
  font-weight: 700;
  font-size: 1.1rem;
  line-height: 1.2rem;
  text-decoration: none;
  color: #544370;
  padding: 0px 0px 0px 0px;
}

a:hover {
  color: var(--hoverColor);
  transition: 0.7s ease-in-out;
}

li {
  font-family: ui-serif;
  /* font-family: "Abhaya Libre", serif; */
  font-size: 1.1rem;
  color: var(--textColor);
}

th {
  /* font-family: "Afacad", sans-serif; */
  font-size: 1.1rem;
  color: var(--textColor);
}

td {
  /* font-family: "Abhaya Libre", serif; */
  font-size: 1.2rem;
  color: var(--textColor);
  text-align: center;
}

.navbar {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.navbar div:first-child {
  /* background-color: burlywood; */
  margin-right: auto;
}

.logoname {
  /* font-family: "Krona One", serif; */
  font-size: 2.0rem;
  color: var(--productColorAcc);
}

nav {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-grow: 1;
}

nav a {
  font-family: system-ui, sans-serif;
  color: var(--textColor);
  font-size: 1.2rem;
  font-weight: 700;
  padding: 10px;
  text-transform: uppercase;
}

.disabled-link {
  pointer-events: none;
  /* color: #17b4adfb; */
  color: var(--productColorMain);
}

.hero-section {
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
  height: 100%;
  align-items: center;
}

.hero-image {
  width: 75%;
  /* height: 50%; */
}

.hero-text {
  width: 100%;
  margin: 0;
  padding: 0;
  text-align: center;
}

.website-logo {
  /* font-family: "Krona One", serif; */
  font-size: 3.5rem;
  /* vertical-align: middle; */
  color: var(--productColorAcc);
  margin: 0;
  padding: 0;

  animation: breathe 10s ease 0s infinite normal none;
  color: var(--productColorAcc);
}

.website-byline {
  /* font-family: "Afacad", serif; */
  font-size: 2.0rem;
  font-weight: 500;
  /* vertical-align: middle; */
  color: var(--productColorAcc);
  margin: 0;
  padding: 0;

  animation: breathe 10s ease 0s infinite normal none;
  color: var(--productColorAcc);
}

.product-title {
  display: flex;
  padding-inline: 7px;
  justify-content: space-between;
  flex-direction: row;
  background-color: #9fe1d6ff;
  /* background: linear-gradient(0deg, rgba(254, 245, 206, 1) 26%, rgba(254, 238, 174, 1) 80%); */
  border-radius: 15px;
  height: 60px;
}

.product-name {
  align-self: center;
  font-size: 2.5rem;
  margin: 0;
  padding: 0;
}

.product-icon {
  width: 75px;
  height: 75px;
  align-self: center;
  border: #f5f5f5 5px solid;
  border-radius: 7px;
  background: #dfdfdf;
  box-shadow: 5px 5px 5px 2px rgba(37, 37, 37, 0.25);
  margin: 0;
  padding: 0;
}

.underconstruction {
  margin: auto;
  background-color: white;
  width: 75%;
  box-shadow: 10px 10px 5px 0px rgba(0, 0, 0, 0.25);
  border-radius: 15px 15px;

  transition: transform 0.7s, backgroud-color 0.7s, color 0.7s, box-shadow 0.7s;
}

.underconstruction:has(p) {
  font-size: 2rem;
  text-align: center;
  padding: 55px;
  text-transform: uppercase;
  /* background-color: red; */
}

.underconstruction:hover {
  transform: translatey(-10px);
  background-color: color-mix(in lab, var(--productColorSec) 70%, rgb(201, 36, 36) 20%);
  color: purple;
  box-shadow: 10px 10px 5px 0px rgba(255, 255, 255, 0.25);
}

.contact-vertical {
  display: none;
}

@keyframes breathe {

  /* from {
    color: var(--productColorMain);
  }

  to {
    color: var(--productColorSec);
  } */
  0% {
    opacity: 1;
  }

  50% {
    opacity: 0.2;
  }

  100% {
    opacity: 1;
  }
}

@media screen and (max-width: 848px) {
  body {
    width: 85%;
  }

  nav {
    display: none;

  }

  nav a {
    font-size: 0.8rem;
    display: block;

  }


  .navbar div:first-child {
    margin: auto;
  }

  .navbar:hover .menulist {
    display: block;

  }

  .menulist {
    display: none;
    position: absolute;
    top: 60px;
    left: 33%;
    background-color: #f1f1f1;
    min-width: 160px;
    box-shadow: 0px 8px 20px 0px rgba(23, 180, 173, 0.4);
    z-index: 1;

  }

  .hero-section {
    display: flex;
    flex-direction: column;
    /* justify-content: space-between; */
  }

  .hero-text {
    width: 100%;
    margin: auto;
    text-align: center;
  }

  .contact-horizontal {
    display: none;
  }

  .contact-vertical {
    display: inline-block;
    width: 75%;
    background-color: white;
    box-shadow: 10px 10px 5px 0px rgba(0, 0, 0, 0.25);
    border-radius: 15px 15px;
  }

  .contact-vertical th {
    display: block;
    align-self: self-start;
    min-width: 100px;
  }

  .contact-vertical td {
    /* background-color: red; */
    padding-inline: 12px;
  }

}